Package org.gradle.tooling.model.eclipse

# Interface AccessRule

public interface AccessRule
Access rule associated with an Eclipse classpath entry.

Since:
  3.0
See Also:
  - IAccessRule Javadoc

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getKind()`
  Returns the encoded type of the access rule.
  `String`
  `getPattern()`
  Returns the file pattern of this access rule.

- ## Method Details

  - ### getKind

    int getKind()
    Returns the encoded type of the access rule. The meaning of the values:
    - 0: the rule defines accessible paths
    - 1: the rule defines inaccessible paths
    - 2: the rule defines discouraged paths
    Returns:
      The type of this access rule.

  - ### getPattern

    String getPattern()
    Returns the file pattern of this access rule.
    Returns:
      The file pattern of this access rule.